ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

CmmBuildInfoTables

Synopsis

- type CAFSet = Set CLabel
- type CAFEnv = LabelMap CAFSet
- cafAnal :: CmmGraph -> CAFEnv
- doSRTs :: DynFlags -> TopSRT -> [(CAFEnv, [CmmDecl])] -> IO (TopSRT, [CmmDecl])
- data TopSRT
- emptySRT :: MonadUnique m => m TopSRT
- isEmptySRT :: TopSRT -> Bool
- srtToData :: TopSRT -> CmmGroup

# Documentation

type CAFSet = Set CLabel #

type CAFEnv = LabelMap CAFSet #

cafAnal :: CmmGraph -> CAFEnv #

An analysis to find live CAFs.

doSRTs :: DynFlags -> TopSRT -> [(CAFEnv, [CmmDecl])] -> IO (TopSRT, [CmmDecl]) #

data TopSRT #

Instances

Outputable TopSRT # |
Methods ppr :: TopSRT -> SDoc # pprPrec :: Rational -> TopSRT -> SDoc #

emptySRT :: MonadUnique m => m TopSRT #

isEmptySRT :: TopSRT -> Bool #

srtToData :: TopSRT -> CmmGroup #